"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const commander_1 = require("commander");
const git_1 = __importDefault(require("./notes/git"));
const windows_1 = __importDefault(require("./notes/windows"));
const linux_1 = __importDefault(require("./notes/linux"));
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const child_process_1 = require("child_process");
const { version } = JSON.parse(fs_1.default.readFileSync(path_1.default.join(__dirname, "../package.json"), "utf-8"));
commander_1.program
    .name("knowledge")
    .description("this is a cli to log knowledge")
    .version(version);
commander_1.program.option("--git", "git相关命令");
commander_1.program.option("--windows", "windows系统相关命令");
commander_1.program.option("--linux", "linux系统相关命令");
commander_1.program.option("--lpng", "输出语言族谱地址");
commander_1.program.parse();
const options = commander_1.program.opts();
(0, git_1.default)(options);
(0, windows_1.default)(options);
(0, linux_1.default)(options);
if (options.lpng) {
    console.log("http://8.140.36.65/language.png");
    (0, child_process_1.exec)("start http://8.140.36.65/language.png");
}
