import type { CliOptions } from "./types";
import { program } from "commander";
import git from "./notes/git";
import windows from "./notes/windows";
import linux from "./notes/linux";
import fs from "fs";
import path from "path";
import { exec } from "child_process";
const { version } = JSON.parse(
  fs.readFileSync(path.join(__dirname, "../package.json"), "utf-8")
);

program
  .name("knowledge")
  .description("this is a cli to log knowledge")
  .version(version);
program.option("--git", "git相关命令");
program.option("--windows", "windows系统相关命令");
program.option("--linux", "linux系统相关命令");
program.option("--lpng", "输出语言族谱地址");

program.parse();
const options: CliOptions = program.opts();

git(options);
windows(options);
linux(options);

if (options.lpng) {
  console.log("http://8.140.36.65/language.png");
  exec("start http://8.140.36.65/language.png");
}
